aboutsummaryrefslogtreecommitdiff
path: root/test/error/open-fail-not-so-simple.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/error/open-fail-not-so-simple.sh')
-rwxr-xr-xtest/error/open-fail-not-so-simple.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/test/error/open-fail-not-so-simple.sh b/test/error/open-fail-not-so-simple.sh
new file mode 100755
index 0000000..917c05d
--- /dev/null
+++ b/test/error/open-fail-not-so-simple.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+t="$0.tmp"
+
+for i in "$t."{1,2,3} ; do
+ cp ../input/white.pgm "$i"
+done
+chmod -r "$t.3"
+
+${EXECUTABLE} $t.{1,2,3} > /dev/null
+ret=$?
+
+rm "$t."{1,2,3}
+
+exit $ret